<?php

define( 'SUCCESS', 1);

abstract class Action {

	abstract protected function performAction( $pathParts, &$dataCollector, $requestPath);
	//private $session;	//model_session object
	//JUST USE $_REQUEST directly in here.
	//private $requestParams;

	function Action() {
	}

	public function isAuthorised() {
		return true;
	}

	public function isSynchronized() {
		return false;
	}

/*	
	public function getName() {
		return get_class( $this);
	}
	public function setSession( Session $session) {	
		$this->session = $session;
	}

	public function getSession() {
		return $this->session;
	}

	public function setRequestParams( $requestParams) {
		$this->requestParams = $requestParams;
	}

	public function getFieldDefinitions()
	{
		return array();
	}

	*/
	
	//values get trimmed by default
	//returns value if value is present
	//also standardizes behaviour for the php addslashes behaviour
	public function requestParam( $paramName, $valueIfNotFound = null) {
		
		if( array_key_exists($paramName, $_REQUEST) && isset( $_REQUEST[ $paramName] ) && strlen($_REQUEST[ $paramName]) > 0) {
			
			$paramValue = null;
			if( get_magic_quotes_gpc() ) {
				$paramValue = stripslashes( $_REQUEST[$paramName] );
			} else {
				$paramValue = $_REQUEST[$paramName];
			}
			return trim( $paramValue);
			
		} else {
			
			return $valueIfNotFound;
		}
	}
	
}?>